Subject: Re: OSPF Retransmission Doubt

From: "Manral, Vishwas" <[email-masked]>
Date: Fri, 21 Jun 2002 08:14:47 -0400

Amit,

When the administrator finds that a domain is getting "Overflows" he has to
change the policies so that the number of routes imported into the domain is
reduced. The routes to be imported are all an administrative
decision/policies and the OSPF packets etc do not come into picture at all.

The RFC in this point talks about importing routes from other domains and
not about received LSA's from other routers in the domain.

Thanks,
Vishwas

-----Original Message-----
From: Amit Srivastava [mailto:[email-masked]]
Sent: Friday, June 21, 2002 4:35 PM
To: [email-masked]
Subject: Re: OSPF Retransmission Doubt

 Hi Vishwas!!
      The RFC 1765 section 4 last point states that if
the administrator cannot incresase the value of
ospfExtlsdbLimit then he can make sure that more
important routes continue to be imported ; this is
accomplished by turning off the importing of less
important routes.
      Now my doubt is ->is it that the administrator
configures paticular n/w coming in the AS-external
packet as important or unimportant or does it mean
that routes learned by a paticular router-id are
important and will stay in the database while all the
others will be flushed or is it implementation
specific!!!
Regards
Amit

--- "Manral, Vishwas" <[email-masked]> wrote:
> Hi Amit,
>
> The case would not occur if all the routers would
> have the same value of
> ExtLSDBLimit except in the transient condition.
> Section 2.2 first part would
> only occur if the value is not the same this may be
> required. Its always
> better to check the condition, if we are exceeding
> the limit and accordingly
> take action to get over any such a case.
>
> Section 2.3 states that the flooding modification
> would only be invoked
> during a "short period of convergence" for same
> value of LSDBLimit. Such a
> case would only occur say when two routers are
> symultaneously originating
> AS-External LSA's. So when they are originating the
> LSA's the LSDB limit is
> not exceeded however when they are receiving the
> LSA's from the other the
> LSDB limit is exceeded. However as the RFC states
> this would be a transient
> condition.
>
> Thanks,
> Vishwas
>
> -----Original Message-----
> From: Amit Srivastava [mailto:[email-masked]]
> Sent: Thursday, June 20, 2002 10:24 AM
> To: [email-masked]
> Subject: Re: OSPF Retransmission Doubt
>
>
> Hi Vishwas,
>    I have a small doubt .If u refer to section 2.2
> and
> 2.3 of RFC 1765 it states that during flooding also
> the variable count of non-default AS_external LSA is
> incremented( if we receive a non-default AS-external
> LSA during flooding).But if we have a common thresh
> hold limit i.e variable ospfExtlsdbLimit is same for
> all the router how come this condition will be
> encountered???
> Regards
> Amit
>
>
>
>
> --- "Manral, Vishwas" <[email-masked]> wrote:
> > Hi Amit,
> >
> > I do not think any RFC which talks about
> non-default
> > type-3 LSA's exists.
> > The RFC1765 only talks about type-5 LSA's however
> it
> > could be extended for
> > other type of LSA's i.e. type-7, type-11.
> >
> > Thanks,
> > Vishwas
> >
> > -----Original Message-----
> > From: Amit Srivastava [mailto:[email-masked]]
> > Sent: Wednesday, June 19, 2002 11:43 AM
> > To: [email-masked]
> > Subject: Re: OSPF Retransmission Doubt
> >
> >
> >
> >  Hi Erblich and Vishwas,
> >       Erblich I got your point but is there any
> > Draft or RFC which
> > states
> > this??
> >      And Vishwas thanks for your help i would also
> > like to know if
> > there is any draft which states that we can
> withdraw
> > Summary 3 and 4
> > non-default LSA.Because The RFC 2370 specks very
> > little about it.
> > Regards
> > Amit
> >
> >
> >
> >   Amit Srivastava <[email-masked]> wrote:
> >
> >
> > Hi Vishwas!
> >
> >
> >           Actually after reading the RFC 1765 only
> i
> > got this doubt.Here i
> > feel once the OSPFEXTLSDBLinit variable is
> exceeded
> > the router should
> > indicate other routers that its database is full
> and
> > they should not keep on
> > retransmitting the LSA which will clog the n/w
> > bandwidth.Once the router
> > comes out of the database overflow state it should
> > indicate to the other
> > router that now they should send the LSA.
> >
> >
> >       What do you say about this??
> >
> >
> > Regards
> >
> >
> > Amit
> >
> >   "Manral, Vishwas" <[email-masked]> wrote:
> >
> >
> > Hi Amit,
> >
> > You may like to look at the RFC1765 - OSPF
> Database
> > Overflow.
> > http://www.ietf.org/rfc/rfc1765.txt This RFC tells
> a
> > way to deal with such
> > overflow when it occurs in OSPF.
> >
> > Also as the RFC lists as enhancements, if the
> number
> > of summary LSA's
> > increases we could as well flush type3/4 also and
> > originate default routes
> > in the domain instead, which could lead to
> > suboptimal routing or blackholing
> > however.
> >
> > However in ur case if a router does not accept and
> > acknowledge an LSA, it
> > will be continuously retransmitted as long as the
> > adjacency is up. If this
> > is not done, the databases would have no way to
> come
> > back to synch as the
> > adjacency itself would not be broken.
> >
> > Thanks,
> > Vishwas
> >
> > -----Original Message-----
> > From: Amit Srivastava [mailto:[email-masked]]
> > Sent: Tuesday, June 18, 2002 5:26 PM
> > To: [email-masked]!
> > Subject: OSPF Retransmission Doubt
> >
> >
> > Hi All,
> > I have the doubt which is described below:-
> > Suppose a router is there whose database is
> full.Now
> > it can send and receive hello packets but discards
> > any
> > new LSA coming to it(as database is full) and
> hence
> > it
> > will not ack that LSA.Now my doubt is that RFC
> 2328
> > says the the retransmission will continue till the
> > adjacency is broken.
> > Does that mean if the database does not have space
> > for accomodating the new LSA infinite number of
> > retransmission would result???
> > Regards
> > Amit

---

From: Amit Srivastava <[email-masked]>
Date: Sun, 23 Jun 2002 23:02:19 -0700

Hi Vishwas!!
  I have one more doubt the RFC 1765 say in example
(section 3) that when the OSPF timer expires then it
tries to come out of the database overflow state and
originates all the 400 non default AS-Exteranl LSA.Is
it that before flushing the LSA it keeps the LSA in a
linklist form and after the timer expires it
originates the LSA again!!If this is the case then i
have small doubt :-
             We have flushed the link state database
because we think that we cannot accomodate any other
LSA.Now keeping the log of all the flushed LSA would
not be a good idea what i feel!!!
What do u say??
Regards
Amit

> > > Also as the RFC lists as enhancements, if the
=== message truncated ===

__________________________________________________
Do You Yahoo!?
Yahoo! - Official partner of 2002 FIFA World Cup
http://fifaworldcup.yahoo.com

---

From: Erblichs <[email-masked]>
Date: Mon, 24 Jun 2002 09:23:53 -0700

Amit,

        Why don't you think a log of flushed LSAs
        is a good idea?

        - Are you concerned with the amount of memory
        consumed with the log?

        - Are you concerned that the log has a certain
        time frame that is valid and as time progresses
        the information becomes useless?

        - Are you concerned what you are going to do with
        the log after you create it?

        - Etc...

        Mitchell Erblich
        ================

---

From: Amit Srivastava <[email-masked]>
Date: Mon, 24 Jun 2002 22:05:35 -0700

Hi Erblich,
     Ya i am concern about the amount of memory
consumed in the log!! The pupose of flushing the LSA
is to make space for the other LSA (flushing is done
basically to have memory available for the other LSA
if you have log for 400 LSA then again you are in same
trouble of less memory so what is the use??)
What do you say!!
Regards
Amit
--- Erblichs <[email-masked]> wrote:
> > > decision/policies and the OSPF packets etc do
> not
> > > come into picture at all.
> > >
> > > The RFC in this point talks about importing
> routes
> > > from other domains and
> > > not about received LSA's from other routers in
> the
> > > domain.
> > >
> > > Thanks,
> > > Vishwas
> > >
> > >       The RFC 1765 section 4 last point states
> that
> > > if
> > > important and will stay in the database while
> all
> > > the
> > > > only occur if the value is not the same this
> may
> > > be
> > > > required. Its always
> > > > AS-External LSA's. So when they are
> originating
> > > the
> > > > LSA's the LSDB limit is
> > > > the variable count of non-default AS_external
> LSA
> > > is
> > > > hold limit i.e variable ospfExtlsdbLimit is
> same
> > > for